

%header definition start
\usepackage{fancyhdr}
\pagestyle{fancy}

% HEADER REMOVE STYLES
\fancyhead{}
\renewcommand{\headrule}{}

% HEADER CENTER SECTION, e.g. "Rebenstein", "Camp Sibley", ...
\fancyhead[EC,OC] {
	\begin{LARGE}
		\MakeUppercase{\rightmark}
		\vspace{20pt}
	\end{LARGE}
}
\addtolength{\headheight}{5mm} %expand header height to move body text down


\newcommand{\bottombar}[1]{
	\fancyfoot[EL] {
		\includegraphics[trim=12mm 8mm 0mm 0mm clip]{{#1}} \\ 
		\vspace{-2mm}
		\color{white}\thepage { } \rightmark
	}
	\fancyfoot[OR] {
		\includegraphics[trim=12mm 8mm 0mm 0mm clip]{{#1}} \\ 
		\vspace{-2mm}
		\color{white}\rightmark { } \thepage
	}
}

% Add a new command for generating the topbar. Arg1 is the file path to the png file.
\newcommand{\topbar}[1]{
	\fancyhead[] {
		\includegraphics[trim=12mm 0 0 7mm clip]{{#1}}
	}
	\bottombar{#1}
}
\newcommand{\topbarend}{ %extra rule to disable topbar, else section text "rebenstein" will disappear.
	% HEADER LEFT
	\fancyhead{}
	\fancyhead[EC,OC] {
		\begin{LARGE}
			\MakeUppercase{\rightmark}
			\vspace{20pt}
		\end{LARGE}
	}
	\fancyfoot{}
	\fancyfoot[EL,OR]{\color{white}\thepage}
}
\newcommand{\topbarchapter}[1]{ %extra rule for chapter pages
	\vspace{-76mm}
	\includegraphics[trim=12mm 0 0 250mm]{{#1}}
	\vspace{76mm}
}

% Add a new command for generating the sidetabs. Arg1 is the file path to the png file.
\newcommand{\sidebartabs}[1]{
	\fancyhead[EL] {
		\includegraphics[trim=11.5mm 0 0 7mm clip]{{#1}}
	}
	\fancyhead[OR] {
		\includegraphics[trim=0 0 13mm 7mm clip]{{#1}}
	}
}

% Add a new command for generating the full sidebar for one page. Arg1 is the file path to the png file.
\newcommand{\sidebarleft}[1]{
	\begin{wrapfigure}{l}{0mm}
		\centering
		\includegraphics[trim=11.5mm 0 0 23mm clip]{{#1}}
	\end{wrapfigure}
}
\newcommand{\sidebarright}[1]{
	\begin{wrapfigure}{r}{0mm}
		\centering
		\includegraphics[trim=0mm 0 12mm 24mm clip]{{#1}}
	\end{wrapfigure}
}

% Add table for routes
\newcommand{\routesStats}[4]{ % Arg1=leicht, Arg2=mittel, Arg3=schwer, Arg4=summe
	\textbf{Routen}
	\vspace{-2mm}
	\begin{center}
		\begin{tabular}{c c c c}
			leicht (bis 6) & mittel (6+ bis 8) & schwer (ab 8+) & Summe \\
			{#1} & {#2} & {#3} & {#4}
		\end{tabular}
	\end{center}
}

% Add box for qr codes
\newcommand{\geoqr}[4]{ %qrP, koordsP, qrW, koordsW
	\begin{figure}[h]
		\centering
		\begin{subfigure}[p]{0.03\linewidth}
			\includegraphics[scale=0.2]{include/blank.png}
		\end{subfigure}
		\begin{subfigure}[p]{0.25\linewidth}
			Parkplatz: \\
			{#2}
		\end{subfigure}
		\begin{subfigure}[p]{0.2\linewidth}
			\includegraphics[scale=0.2]{Uebersichtstabelle/{#1}}
		\end{subfigure}
		\begin{subfigure}[p]{0.25\linewidth}
			Wandfuß: \\
			{#4}
		\end{subfigure}
		\begin{subfigure}[p]{0.2\linewidth}
			\includegraphics[scale=0.2]{Uebersichtstabelle/{#3}}
		\end{subfigure}
	\end{figure}
}

\newcommand{\fotocopyright}[1]{
\begin{footnotesize}
	\textbf{Foto} #1
\end{footnotesize}
}


% FOOTER LEFT AND RIGHT
\fancyfoot{}
\fancyfoot[EL,OR]{\thepage}

%header definition end






% SECTION REMOVE CHAPTER AND SECTION
\renewcommand{\sectionmark}[1]{\markright{#1}}
%\renewcommand{\subsectionmark}[1]{\markright{\sectionmark #1}}
%\renewcommand{\subsectionmark}[0]{beer{#1}}
%\renewcommand{\subsectionmark}{{#1} }

% SECTIONS FORMATTING START
\usepackage{titlesec}
\usepackage{xcolor}
%\titleformat{\chapter}{\normalfont\huge}{\thechapter.}{20pt}{\huge\it}
\titleformat{\section}{\color{gray}\normalfont\tiny}{}{0pt}{\tiny}  % make section heading tiny
\titleformat{\subsection}{\large}{ }{40pt}{\large}  % make subsection heading numberless
%\title{\color{red}How to Work with \LaTeX colorrrrrs}
% SECTIONS FORMATTING END


% CHAPTER FORMATTING START
\renewcommand{\chaptername}{Kapitel}

% CHAPTER FORMATTING END




% TOC
\renewcommand*\contentsname{Inhalt}


% TOC end



